function [ gradient ] = evaluate_gradient( x, c, A, b, t )
%EVALUATE_GRADIENT Summary of this function goes here
%   Detailed explanation goes here

constraint_num = size(A, 2);

gradient = x+c;

for i = 1:constraint_num
    ai = A(:, i);
    gradient = gradient - 1/(t*(ai'*x - b(i))) * ai;
end

end

